Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.translator
Class DIGDataTypes

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.dig.translator.DIGDataTypes

    public class DIGDataTypes

extends Object

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Aug 30, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static int` | `REAL_MULTIPLIER`

Constructor Summary
`protected` | `DIGDataTypes(OWLModel owlModel)`

Method Summary
`String` | `getConcreteDomainExpressionTagName(RDFSLiteral value)`
`String` | `getDataTypeRendering(RDFSLiteral value)` Gets the lexical rendering for the specified value
`String` | `getIndividualAxiomValueTagName(RDFSLiteral value)` Gets the XML DIG Document tag name for the specified specified object (e.g.
`static DIGDataTypes` | `getInstance(OWLModel owlModel)`
`String` | `getPropertyRangeTagName(RDFSDatatype datatype)` Gets the XML DIG Document element tag name that is used to specify the range of a datatype property for the specified value type.
`boolean` | `isSupported(RDFSDatatype datatype)` Determines whether or not the datatype that is represented by the Protege ValueType is supported
`boolean` | `isSupported(RDFSLiteral value)` Dermines if the object is of a supported datatype.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REAL_MULTIPLIER

    public static final int REAL_MULTIPLIER

See Also:
  Constant Field Values

Constructor Detail

### DIGDataTypes

    protected DIGDataTypes(OWLModel owlModel)

Method Detail

### getInstance

    public static DIGDataTypes getInstance(OWLModel owlModel)

### isSupported

    public boolean isSupported(RDFSDatatype datatype)

  Determines whether or not the datatype that is represented by the Protege ValueType is supported

### isSupported

    public boolean isSupported(RDFSLiteral value)

  Dermines if the object is of a supported datatype.

  Parameters:
    `value` - The object to be tested. This is typically an instance of a String, Number (Java Number), Boolean etc.

### getIndividualAxiomValueTagName

    public String getIndividualAxiomValueTagName(RDFSLiteral value)

  Gets the XML DIG Document tag name for the specified specified object (e.g. ival for integers, sval for strings). This is the tag name that is used to specify that an individual is in an attribute (datatype property) relationship with a value.

  Parameters:
    `value` - The value that is the filler for the relationship.
  Returns:
    The tag name, or `null` if the datatype that the value belongs to is not supported.

### getPropertyRangeTagName

    public String getPropertyRangeTagName(RDFSDatatype datatype)

  Gets the XML DIG Document element tag name that is used to specify the range of a datatype property for the specified value type. e.g. rangeint if the range of a datatype property is an integer.

  Parameters:
    `datatype` - The datatype type who's range tag we want
  Returns:
    The tag name, or `null` is the valuetype is not supported.

### getConcreteDomainExpressionTagName

    public String getConcreteDomainExpressionTagName(RDFSLiteral value)

### getDataTypeRendering

    public String getDataTypeRendering(RDFSLiteral value)

  Gets the lexical rendering for the specified value

  Parameters:
    `value` - The object whose lexical rendering is required.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.